# $Revision: 1.13 $, $Date: 2005/10/30 13:32:25 $
%define		_modname	rrdtool
%define		_sysconfdir	/etc/php4
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	RRDtool PHP module
Summary(pl):	Modu PHP RRDtool
Name:		php4-rrdtool
Version:	1.0.50
Release:	7
License:	GPL
Group:		Applications/Databases
Source0:	http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/rrdtool-1.0.x/rrdtool-%{version}.tar.gz
# Source0-md5:	c466e2e7df95fa8e318e46437da87686
Patch0:		rrdtool-php-config.patch
Patch1:		php-rrdtool-new.patch
URL:		http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/
BuildRequires:	cgilibc-devel
BuildRequires:	gd-devel
BuildRequires:	openssl-devel >= 0.9.5
BuildRequires:	php4-devel
BuildRequires:	rpmbuild(macros) >= 1.254
BuildRequires:	rrdtool-devel >= 1.2.10
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes a dynamic shared object (DSO) that adds RRDtool
bindings to the PHP HTML-embedded scripting language.

%description -l pl
Modu RRDtool dla PHP.

%prep
%setup -q -n rrdtool-%{version}
%patch0 -p0
%patch1 -p1

%build
cd contrib/php4
phpize
%configure \
	--with-openssl \
	--includedir="%{_includedir}/php"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{_examplesdir}/%{name}-%{version}}

cd contrib/php4
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

cp -a examples/*.php $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc contrib/php4/USAGE
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4-rrdtool.spec,v $
Revision 1.13  2005/10/30 13:32:25  glen
- rel 7

Revision 1.12  2005/10/30 10:27:34  glen
- rebuild with zts and debug requires [FN]

Revision 1.11  2005/10/27 15:22:31  glen
- rebuild with php(debug) and php(thread-safety) macros
- rel 5

Revision 1.10  2005/10/14 20:09:18  arekm
- rel 4; port to new rrdtool

Revision 1.9  2005/10/14 19:42:08  arekm
- rebuild with new rrdtool

Revision 1.8  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.7  2005/09/13 21:15:34  glen
- use new php/zend api macros

Revision 1.6  2005/09/11 22:39:20  glen
- full conf.d support and unifications

Revision 1.5  2005/09/07 14:19:16  glen
- rel 2, STBR

Revision 1.4  2005/09/07 13:03:43  glen
- fix build on amd64

Revision 1.3  2005/09/07 11:36:15  glen
- adapterize
- BR: openssl-devel

Revision 1.2  2005/09/07 01:02:38  glen
- package finished, rel 1

Revision 1.1  2005/09/07 01:02:02  glen
- new, based on php-rrdtool.spec
